### Function

# Secret Item load_secrets_sync

#### Declaration [src]

    gboolean
    secret_item_load_secrets_sync (
      GList* items,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load the secret values for a secret item stored in the service.

The `items` must all have the same `SecretItem:service` property.

This method may block indefinitely and should not be used in user interface threads.

Items that are locked will not have their secrets loaded.

#### Parameters

`items` | A list of `None`
| The items to retrieve secrets for.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the operation succeeded or not.